import { Logger } from '@aws-lambda-powertools/logger';
import { Axios } from './axios';

const logger = new Logger({ serviceName: 'Call endpoint Account information' });

export async function GetAccountInformation(accountId, urlDynamicFact) {
  const axios = new Axios();

  try {
    const response = await axios.get(urlDynamicFact, {
      accountId: accountId,
    });

    return response;
  } catch (error) {
    logger.error(error);
    throw error;
  }
}
